/* Auto-generated from route_types.txt by . */
/* Do not edit! */

#ifndef _QUAGGA_ROUTE_TYPES_H
#define _QUAGGA_ROUTE_TYPES_H

/* Zebra route's types. */
#define ZEBRA_ROUTE_SYSTEM               0
#define ZEBRA_ROUTE_KERNEL               1
#define ZEBRA_ROUTE_CONNECT              2
#define ZEBRA_ROUTE_STATIC               3
#define ZEBRA_ROUTE_RIP                  4
#define ZEBRA_ROUTE_RIPNG                5
#define ZEBRA_ROUTE_OSPF                 6
#define ZEBRA_ROUTE_OSPF6                7
#define ZEBRA_ROUTE_ISIS                 8
#define ZEBRA_ROUTE_BGP                  9
#define ZEBRA_ROUTE_HSLS                 10
#define ZEBRA_ROUTE_OLSR                 11
#define ZEBRA_ROUTE_BATMAN               12
#define ZEBRA_ROUTE_DHCP                 13
#define ZEBRA_ROUTE_PIM                  14
#define ZEBRA_ROUTE_MAX                  15

#define SHOW_ROUTE_V4_HEADER \
  "Codes: K - kernel route, C - connected, S - static, R - RIP,%s" \
  "       O - OSPF, I - IS-IS, B - BGP, h - HSLS, o - OLSR,%s" \
  "       b - BATMAN, D - DHCP,%s" \
  "       > - selected route, * - FIB route%s%s", \
  VTY_NEWLINE, VTY_NEWLINE, VTY_NEWLINE, VTY_NEWLINE, VTY_NEWLINE
#define SHOW_ROUTE_V6_HEADER \
  "Codes: K - kernel route, C - connected, S - static, R - RIPng,%s" \
  "       O - OSPFv6, I - IS-IS, B - BGP, h - HSLS, o - OLSR,%s" \
  "       b - BATMAN,%s" \
  "       > - selected route, * - FIB route%s%s", \
  VTY_NEWLINE, VTY_NEWLINE, VTY_NEWLINE, VTY_NEWLINE, VTY_NEWLINE

/* batman */
#define QUAGGA_REDIST_STR_BATMAN \
  "(kernel|connected|static|rip|ripng|ospf|ospf6|isis|bgp|hsls|olsr|dhcp)"
#define QUAGGA_REDIST_HELP_STR_BATMAN \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP_REDIST_STR_BATMAN \
  "(kernel|connected|static|rip|ospf|isis|bgp|hsls|olsr|dhcp)"
#define QUAGGA_IP_REDIST_HELP_STR_BATMAN \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP6_REDIST_STR_BATMAN \
  "(kernel|connected|static|ripng|ospf6|isis|bgp|hsls|olsr)"
#define QUAGGA_IP6_REDIST_HELP_STR_BATMAN \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n"

/* bgpd */
#define QUAGGA_REDIST_STR_BGPD \
  "(kernel|connected|static|rip|ripng|ospf|ospf6|isis|hsls|olsr|batman|dhcp)"
#define QUAGGA_REDIST_HELP_STR_BGPD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP_REDIST_STR_BGPD \
  "(kernel|connected|static|rip|ospf|isis|hsls|olsr|batman|dhcp)"
#define QUAGGA_IP_REDIST_HELP_STR_BGPD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP6_REDIST_STR_BGPD \
  "(kernel|connected|static|ripng|ospf6|isis|hsls|olsr|batman)"
#define QUAGGA_IP6_REDIST_HELP_STR_BGPD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n"

/* dhcpc */
#define QUAGGA_REDIST_STR_DHCPC \
  "(kernel|connected|static|rip|ospf|isis|bgp|hsls|olsr|batman)"
#define QUAGGA_REDIST_HELP_STR_DHCPC \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n"

/* hslsd */
#define QUAGGA_REDIST_STR_HSLSD \
  "(kernel|connected|static|rip|ripng|ospf|ospf6|isis|bgp|olsr|batman|dhcp)"
#define QUAGGA_REDIST_HELP_STR_HSLSD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP_REDIST_STR_HSLSD \
  "(kernel|connected|static|rip|ospf|isis|bgp|olsr|batman|dhcp)"
#define QUAGGA_IP_REDIST_HELP_STR_HSLSD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP6_REDIST_STR_HSLSD \
  "(kernel|connected|static|ripng|ospf6|isis|bgp|olsr|batman)"
#define QUAGGA_IP6_REDIST_HELP_STR_HSLSD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n"

/* isisd */
#define QUAGGA_REDIST_STR_ISISD \
  "(kernel|connected|static|rip|ripng|ospf|ospf6|bgp|hsls|olsr|batman|dhcp)"
#define QUAGGA_REDIST_HELP_STR_ISISD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP_REDIST_STR_ISISD \
  "(kernel|connected|static|rip|ospf|bgp|hsls|olsr|batman|dhcp)"
#define QUAGGA_IP_REDIST_HELP_STR_ISISD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP6_REDIST_STR_ISISD \
  "(kernel|connected|static|ripng|ospf6|bgp|hsls|olsr|batman)"
#define QUAGGA_IP6_REDIST_HELP_STR_ISISD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n"

/* olsrd */
#define QUAGGA_REDIST_STR_OLSRD \
  "(kernel|connected|static|rip|ripng|ospf|ospf6|isis|bgp|hsls|batman|dhcp)"
#define QUAGGA_REDIST_HELP_STR_OLSRD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP_REDIST_STR_OLSRD \
  "(kernel|connected|static|rip|ospf|isis|bgp|hsls|batman|dhcp)"
#define QUAGGA_IP_REDIST_HELP_STR_OLSRD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP6_REDIST_STR_OLSRD \
  "(kernel|connected|static|ripng|ospf6|isis|bgp|hsls|batman)"
#define QUAGGA_IP6_REDIST_HELP_STR_OLSRD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n"

/* ospf6d */
#define QUAGGA_REDIST_STR_OSPF6D \
  "(kernel|connected|static|ripng|isis|bgp|hsls|olsr|batman)"
#define QUAGGA_REDIST_HELP_STR_OSPF6D \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n"

/* ospfd */
#define QUAGGA_REDIST_STR_OSPFD \
  "(kernel|connected|static|rip|isis|bgp|hsls|olsr|batman|dhcp)"
#define QUAGGA_REDIST_HELP_STR_OSPFD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"

/* ripd */
#define QUAGGA_REDIST_STR_RIPD \
  "(kernel|connected|static|ospf|isis|bgp|hsls|olsr|batman|dhcp)"
#define QUAGGA_REDIST_HELP_STR_RIPD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"

/* ripngd */
#define QUAGGA_REDIST_STR_RIPNGD \
  "(kernel|connected|static|ospf6|isis|bgp|hsls|olsr|batman)"
#define QUAGGA_REDIST_HELP_STR_RIPNGD \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n"

/* zebra */
#define QUAGGA_REDIST_STR_ZEBRA \
  "(kernel|connected|static|rip|ripng|ospf|ospf6|isis|bgp|hsls|olsr|batman|dhcp)"
#define QUAGGA_REDIST_HELP_STR_ZEBRA \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP_REDIST_STR_ZEBRA \
  "(kernel|connected|static|rip|ospf|isis|bgp|hsls|olsr|batman|dhcp)"
#define QUAGGA_IP_REDIST_HELP_STR_ZEBRA \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol (RIP)\n" \
  "Open Shortest Path First (OSPFv2)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n" \
  "Dynamic Host Configuration Protocol (DHCP)\n"
#define QUAGGA_IP6_REDIST_STR_ZEBRA \
  "(kernel|connected|static|ripng|ospf6|isis|bgp|hsls|olsr|batman)"
#define QUAGGA_IP6_REDIST_HELP_STR_ZEBRA \
  "Kernel routes (not installed via the zebra RIB)\n" \
  "Connected routes (directly attached subnet or host)\n" \
  "Statically configured routes\n" \
  "Routing Information Protocol next-generation (IPv6) (RIPng)\n" \
  "Open Shortest Path First (IPv6) (OSPFv3)\n" \
  "Intermediate System to Intermediate System (IS-IS)\n" \
  "Border Gateway Protocol (BGP)\n" \
  "Hazy-Sighted Link State Protocol (HSLS)\n" \
  "Optimised Link State Routing (OLSR)\n" \
  "Better Approach To Mobile Ad-hoc Networking (BATMAN)\n"


#ifdef QUAGGA_DEFINE_DESC_TABLE

struct zebra_desc_table
{
  unsigned int type;
  const char *string;
  char chr;
};

#define DESC_ENTRY(T,S,C) [(T)] = { (T), (S), (C) }
static const struct zebra_desc_table route_types[] = {
  DESC_ENTRY	(ZEBRA_ROUTE_SYSTEM,	 "system",	'X' ),
  DESC_ENTRY	(ZEBRA_ROUTE_KERNEL,	 "kernel",	'K' ),
  DESC_ENTRY	(ZEBRA_ROUTE_CONNECT,	 "connected",	'C' ),
  DESC_ENTRY	(ZEBRA_ROUTE_STATIC,	 "static",	'S' ),
  DESC_ENTRY	(ZEBRA_ROUTE_RIP,	 "rip",	'R' ),
  DESC_ENTRY	(ZEBRA_ROUTE_RIPNG,	 "ripng",	'R' ),
  DESC_ENTRY	(ZEBRA_ROUTE_OSPF,	 "ospf",	'O' ),
  DESC_ENTRY	(ZEBRA_ROUTE_OSPF6,	 "ospf6",	'O' ),
  DESC_ENTRY	(ZEBRA_ROUTE_ISIS,	 "isis",	'I' ),
  DESC_ENTRY	(ZEBRA_ROUTE_BGP,	 "bgp",	'B' ),
  DESC_ENTRY	(ZEBRA_ROUTE_HSLS,	 "hsls",	'h' ),
  DESC_ENTRY	(ZEBRA_ROUTE_OLSR,	 "olsr",	'o' ),
  DESC_ENTRY	(ZEBRA_ROUTE_BATMAN,	 "batman",	'b' ),
  DESC_ENTRY	(ZEBRA_ROUTE_DHCP,	 "dhcp",	'D' ),
  DESC_ENTRY	(ZEBRA_ROUTE_PIM,	 "pim",	'P' ),
};
#undef DESC_ENTRY

#endif /* QUAGGA_DEFINE_DESC_TABLE */

#endif /* _QUAGGA_ROUTE_TYPES_H */
